# Generated from audit_record-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name audit_record

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: A gem that creates audit records around events you define
License: MIT
URL: http://github.com/heavysixer/audit_record
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(rails)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(ruby-debug19)
# BuildRequires: rubygem(spork) > 0.9.0.rc
# BuildRequires: rubygem(guard-spork)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(rb-inotify)
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(rb-fchange)
# BuildRequires: rubygem(guard-test)
# BuildRequires: rubygem(guard-bundler)
BuildArch: noarch

%description
A simple gem built for Rails 3+ which creates an audit when events that you
configure occur. The events you can audit are:
1. Attributes changing in a model
2. Methods called on a model
3. Methods called on some other class like a controller.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/audit_record.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.5-1
- Initial package
